Skip to main content

List GCS buckets

Returns a list of GCS buckets.

Query Parameters
  • limit int64

    Limits the size of the response on each page to the specified number of items.

  • start string

    Sets the page number used to browse the collection. Pages are indexed starting from 1 (i.e., ?start=1).

  • filter string

    Narrows down the results to only the items that satisfy the filter criteria. Supported filter fields:

    FieldConditionDescription
    id$eq,$inThe Clumio-assigned ID of the GCS bucket.
    native_id$eq,$inThe native GCP identifier of the bucket.
    project_id$eq,$inThe native GCP project ID that owns the bucket.
    project_uuid$eq,$inThe Clumio-assigned UUID of the GCP project that owns the bucket.
    region_uuid$eq,$inThe Clumio-assigned UUID of the GCP region associated with the bucket.
    is_deleted$eqBoolean flag indicating whether to return deleted (true) or active (false) buckets.
    name$eq,$contains,$inThe display name of the GCS bucket.
  • bucket_matcher string

    The bucket_matcher query parameter filters buckets using the same expression format as protection group bucket rules. Matches buckets by GCP labels, project ID, and location. For example, ?bucket_matcher={"gcp_label":{"$eq":{"key":"env","value":"prod"}}, "gcp_project_id":{"$eq":"my-project"},"gcp_location":{"$in":["us-central1","us-west1"]}}

Responses

Success


Schema
  • _embedded object
  • items object[]
  • bucket_name string

    The name of the bucket

  • created_timestamp string

    Creation time of the bucket in RFC-3339 format.

  • id string

    The Clumio-assigned ID that represents the bucket.

  • is_deleted boolean

    Determines whether the bucket has been deleted

  • is_versioning_enabled boolean

    Determines whether versioning is enabled for the bucket.

  • labels object[]

    GCP labels (key-value pairs) associated with the bucket, similar to AWS tags.

  • key string

    The GCP-assigned label key.

  • value string

    The GCP-assigned label value.

  • last_backup_timestamp string

    Time of the last backup in RFC-3339 format.

  • location string

    The GCP location associated with the bucket.

  • location_type string

    The location type of the bucket (e.g., "Region", "Dual-region", "Multi-region").

  • location_uuid string

    The Clumio-assigned UUID of the GCP location associated with the bucket.

  • object_count int64

    The number of objects in the bucket.

  • organizational_unit_id string

    The Clumio-assigned ID of the organizational unit associated with the bucket.

  • project_id string

    The GCP project ID associated with the bucket.

  • project_uuid string

    The Clumio-assigned UUID of the GCP project associated with the bucket.

  • protection_group_count int64

    The number of protection groups associated with the bucket.

  • size_bytes int64

    Total size in bytes of all objects in the bucket.

  • current_count int64

    The number of items listed on the current page.

  • limit int64

    The maximum number of items displayed per page in the response.

  • start string

    The page number used to get this response. Pages are indexed starting from 1 (i.e., "start": "1").

  • total_count int64

    The total number of items, summed across all pages.

  • total_pages_count int64

    The total number of pages of results.

Loading...